GNU bug report logs - #31795
26.1; Undecorated frame resize issues on macOS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Boris Buliga <boris@HIDDEN>; merged with #28512; dated Tue, 12 Jun 2018 07:56:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 28512 31795. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31795 <at> debbugs.gnu.org:


Received: (at 31795) by debbugs.gnu.org; 12 Jun 2018 20:07:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 12 16:07:58 2018
Received: from localhost ([127.0.0.1]:45383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fSpa9-00053w-VG
	for submit <at> debbugs.gnu.org; Tue, 12 Jun 2018 16:07:58 -0400
Received: from mail-wr0-f171.google.com ([209.85.128.171]:36063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>)
 id 1fSpa9-00053g-7t; Tue, 12 Jun 2018 16:07:57 -0400
Received: by mail-wr0-f171.google.com with SMTP id f16-v6so283216wrm.3;
 Tue, 12 Jun 2018 13:07:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=t+ihej7cJGNMzTpVpsH9FAVluOoF7VL+FbliIzGxAQw=;
 b=r7aTwYR4QIE/2ituHLJ4y5+1Y1yTziPvYLVoNbUNrry/vsECG+P2roKpLGB8f3Pu7A
 XQGPLVtu2xB102r9wZvsruqwkReXZYLvvE9Z+C69krVYRiyjxD3Xn7Lo5mCcebTakOOL
 8gEJ3FY/a62sz6gyrLNfCsbobZoGmGOd+cM6pveh+cCcZTnEaj765spVP3ofbnIkOiOY
 Fn5khgevaC3UH1/LKsEUWcUXvK3O7BtjEfWzRHyf/+bcWTuzvGDk9ZyIKIZ/hoxMexm6
 oBIMJknu7dZPZ4oaJZzwFKRFQFSVNcyixZFrvz7rW5K0qGfR5B0Fzl2K/V+XZT9un6A3
 Q7gA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition
 :content-transfer-encoding:in-reply-to:user-agent;
 bh=t+ihej7cJGNMzTpVpsH9FAVluOoF7VL+FbliIzGxAQw=;
 b=Y88o7YFJgLDyk5Xh0bq0vWPdSlu3Vfr6JgGm/kh0ttIdaX1E0PArUAQSZuA9VNcnx4
 Ca+E9PZezlIQFAyehllajSsCLp8kmVaY8Ei5AdYZ0sjOM3Zg8XZlMUD7tv3mRAmQQ3oc
 6Or4CG1GjDM9rUxUpnvkaO/UlniBtBUccNsK36XudO1Uvp9mQXbi8Lh21398Lt+3Q+42
 bP28D/taY97rtqyW1uraf0LXHlVI0xjGO1Rhjmm24/Uyp/1AHmwwd34ZitOsNIXol5Yo
 6/FjXqM2R4FtFrl3+cot0OakIB4vV1kpVSk21xtghnox8krTOUUHUHaVfG/tyF7i8vCh
 J6XA==
X-Gm-Message-State: APt69E3hU0N1Ecm+pZWZ+ny49C8D77/gqbG+TMuKllVu5oeI/9AF0/dB
 Z5QKDFwBeDRWymEpCM+58/w=
X-Google-Smtp-Source: ADUXVKKzs9bQRPWum3jcxZaNBJb2vuJCaq+wx8iadAtm2XWGgyaTstKmHXJBWqTtdiz5Q8gzJ/3+UA==
X-Received: by 2002:adf:9aa5:: with SMTP id
 a34-v6mr1839594wrc.50.1528834071473; 
 Tue, 12 Jun 2018 13:07:51 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-2050-339f-0e48-d89b.holly.idiocy.org.
 [2001:8b0:3f8:8129:2050:339f:e48:d89b])
 by smtp.gmail.com with ESMTPSA id e14-v6sm1117061wmh.17.2018.06.12.13.07.50
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 12 Jun 2018 13:07:50 -0700 (PDT)
Date: Tue, 12 Jun 2018 21:07:48 +0100
From: Alan Third <alan@HIDDEN>
To: Boris Buliga <boris@HIDDEN>
Subject: Re: bug#31795: 26.1; Undecorated frame resize issues on macOS
Message-ID: <20180612200748.GB889@HIDDEN>
References: <CAD5F_-D5Bn36fwMuOFkRkuHVfY5P-BQy1m3hq9JyZgvqjK+j_A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAD5F_-D5Bn36fwMuOFkRkuHVfY5P-BQy1m3hq9JyZgvqjK+j_A@HIDDEN>
User-Agent: Mutt/1.10.0 (2018-05-17)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 31795
Cc: 31795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

merge 31795 28512
thank you

On Mon, Jun 11, 2018 at 09:38:57PM +0300, Boris Buliga wrote:
<create an undecorated frame>
> 3. Try one of the following actions
> 
> 3.1. M-x toggle-frame-fullsreen
> 
>      Frames' window (in macOS sense) becomes fullscreen. But it doesn't
>      cover all screen, instead it remains of the same default size with
>      black area around.

Hmm, this isn’t very good. Maybe we should be resetting the window
style before and after toggling fullscreen.

> 3.2. Use Spectacle.app (or similar application for resizing windows in
>      macOS)
> 
>      Frame is not resized.

Unfortunately this is expected. Apparently macOS doesn’t like you
changing the window style on the fly, and resizing breaks. The
solution appears to be to recreate the NSWindow, or give up on
NSWindowStyleMaskBorderless and switch to using
NSFullSizeContentViewWindowMask and its relatives.

> I've tried patching src/nsterm.m file by chaning definition of
> FRAME_DECORATED_FLAGS from
> 
>   #define FRAME_UNDECORATED_FLAGS NSWindowStyleMaskBorderless
> 
> to
> 
>   #define FRAME_UNDECORATED_FLAGS NSWindowStyleMaskBorderless |
>    NSWindowStyleMaskResizable

I would expect that to work. Is the line break just because of your
email client? If not then you need to escape the newline like this:

    #define FRAME_UNDECORATED_FLAGS NSWindowStyleMaskBorderless \
                                    | NSWindowStyleMaskResizable


> and creating EmacsFSWindow instead of EmacsWindow (so canBecomeKeyWindow
> and canBecomeMainWindow both return YES).

You don’t need this. IIRC EmacsFSWindow exists solely for non‐native
fullscreen.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jun 2018 07:55:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 12 03:55:17 2018
Received: from localhost ([127.0.0.1]:43999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fSe96-0000l0-Sk
	for submit <at> debbugs.gnu.org; Tue, 12 Jun 2018 03:55:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53373)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boris@HIDDEN>) id 1fSRir-0001kW-K9
 for submit <at> debbugs.gnu.org; Mon, 11 Jun 2018 14:39:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boris@HIDDEN>) id 1fSRik-0000uU-HK
 for submit <at> debbugs.gnu.org; Mon, 11 Jun 2018 14:39:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36012)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <boris@HIDDEN>) id 1fSRik-0000uQ-Dd
 for submit <at> debbugs.gnu.org; Mon, 11 Jun 2018 14:39:14 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44333)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boris@HIDDEN>) id 1fSRii-0001Ko-HR
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jun 2018 14:39:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boris@HIDDEN>) id 1fSRig-0000tT-IW
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jun 2018 14:39:12 -0400
Received: from mail-ot0-x22f.google.com ([2607:f8b0:4003:c0f::22f]:35584)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <boris@HIDDEN>) id 1fSRig-0000tB-7s
 for bug-gnu-emacs@HIDDEN; Mon, 11 Jun 2018 14:39:10 -0400
Received: by mail-ot0-x22f.google.com with SMTP id q17-v6so25001147otg.2
 for <bug-gnu-emacs@HIDDEN>; Mon, 11 Jun 2018 11:39:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=d12frosted-io.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=/z5w1YHt+4Z3NWlsfEAS5ZL7vLM8Pn74s8+bFXYtaq8=;
 b=QpjBwqzuJPx+vtDk8xY4XVBtX3lKv4n2vCiKihlig7VYiwgl6ykvYz7HGJvjCiPtqK
 jBaTDpmaK3bb6cUo2ek7UUW1qElbk8a7uoWWUGSgbePzpWI5P0fhvT+k6ilRrx7aik4T
 AMaS417aPEP8xOuTL2HvFTaJ9PN4ctFO4tHdxa20ab+F1kl2ZLCUdZfDHTn+0vFxTYni
 eUspWtapaRL6/rFkwuiTw3o2Jkxct54hFC6gYnxEWn9TrDCYSdW/D/LF60lBRsMmM+69
 0r43vi5Ixw1KZZtMsItuNxy9tgaLU/w74OtaL6ZK4nJ82C6B0SamsS4a1MlfsSZTooTz
 sGzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=/z5w1YHt+4Z3NWlsfEAS5ZL7vLM8Pn74s8+bFXYtaq8=;
 b=bi/0yr5/6GDzbv3s1fBB/9eSi31JYo3nrUsqRkqceSAYx3ockxmL1NkG2senSeT3U7
 jbz3ROXSO2pFjd1b1ylDiF+L31dUXr1DpQjGGygV7Dp5sloUj87PkLIWSMmmEBAYfDBN
 qfDXywDSWdWse6O5juvmwxdWi7hZE04FExjDhG9JRIdRmBSozbpWEfKKIA+jn3LVAzhs
 WUVpRHYetqUfIFUPA8VeyKCcF70JV+K/3POtLF45RK7zvShpUaGjtqlGhkWjG1/PBex1
 tH0Hv8ZSe/XakONJ8Trm3K45JkyPSNbNM4zxjQJrvdL5HOy4V2+4lxtau0qKOVM1coz0
 RrPQ==
X-Gm-Message-State: APt69E1JH5w1UW0AQyZQ80NAbMaWV/2GaR6U6h/im2dpOXkDZN9wdlJK
 DBrjD3fdPgnVx+tCFqT+KTkj77DOeQFQ0X7jBEAJ6+CCsVU=
X-Google-Smtp-Source: ADUXVKJ0YPqOywzEzvEfdDQMp6wYQBrP2wR+0rYkSgtb/v15MvCSZTXycK2K26N7BUuWL9Ze+lrKf6623bob+CMd+To=
X-Received: by 2002:a9d:577d:: with SMTP id
 x58-v6mr250539oti.196.1528742348631; 
 Mon, 11 Jun 2018 11:39:08 -0700 (PDT)
MIME-Version: 1.0
From: Boris Buliga <boris@HIDDEN>
Date: Mon, 11 Jun 2018 21:38:57 +0300
Message-ID: <CAD5F_-D5Bn36fwMuOFkRkuHVfY5P-BQy1m3hq9JyZgvqjK+j_A@HIDDEN>
Subject: 26.1; Undecorated frame resize issues on macOS
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000a4c342056e6210e9"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 12 Jun 2018 03:55:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

--000000000000a4c342056e6210e9
Content-Type: text/plain; charset="UTF-8"

Message-ID: <m2a7s1mavt.fsf@HIDDEN>
--text follows this line--

1. Create ~/undecorated.el file with following content:

  (add-to-list 'default-frame-alist '(undecorated . t))

2. Start Emacs:

   $ emacs -Q --load ~/undecorated.el

   or (if you don't want to create files)

   $ emacs -q --execute "(add-to-list 'default-frame-alist '(undecorated .
t))"

3. Try one of the following actions

3.1. M-x toggle-frame-fullsreen

     Frames' window (in macOS sense) becomes fullscreen. But it doesn't
     cover all screen, instead it remains of the same default size with
     black area around.

3.2. Use Spectacle.app (or similar application for resizing windows in
     macOS)

     Frame is not resized.

In both cases I expect frames to properly resize.

Note that calling toggle-frame-maximized after the startup works like a
charm.

I've tried patching src/nsterm.m file by chaning definition of
FRAME_DECORATED_FLAGS from

  #define FRAME_UNDECORATED_FLAGS NSWindowStyleMaskBorderless

to

  #define FRAME_UNDECORATED_FLAGS NSWindowStyleMaskBorderless |
   NSWindowStyleMaskResizable

and creating EmacsFSWindow instead of EmacsWindow (so canBecomeKeyWindow
and canBecomeMainWindow both return YES).

But it didn't make the trick.

Let me know if you need any additional information.

In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS appkit-1348.17
Version 10.10.5 (Build 14F2511))
of 2018-05-31 built on builder10-10.porkrind.org
Windowing system distributor 'Apple', version 10.3.1561
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
user-error: Beginning of history; no preceding item
user-error: End of history; no default available

Configured using:
'configure --with-ns '--enable-locallisppath=/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils thingatpt elec-pair
time-date tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 204085 7246)
(symbols 48 20096 1)
(miscs 40 44 157)
(strings 32 28985 1457)
(string-bytes 1 764133)
(vectors 16 35057)
(vector-slots 8 713646 16946)
(floats 8 49 67)
(intervals 56 197 0)
(buffers 992 11))


Best regards,
Boris

--000000000000a4c342056e6210e9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><span style=3D"color:rgb(0,0,0);font-family:monospace;font=
-size:12px;font-weight:normal;text-decoration:none;float:none;display:inlin=
e">Message-ID: &lt;<a href=3D"mailto:m2a7s1mavt.fsf@HIDDEN">m2a7s1mavt.f=
sf@HIDDEN</a>&gt;</span><br style=3D"color:rgb(0,0,0);font-family:monosp=
ace;font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"=
color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;te=
xt-decoration:none;float:none;display:inline">--text follows this line--</s=
pan><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font=
-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-fam=
ily:monospace;font-size:12px;font-weight:normal;text-decoration:none"><span=
 style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight=
:normal;text-decoration:none;float:none;display:inline">1. Create ~/undecor=
ated.el file with following content:</span><br style=3D"color:rgb(0,0,0);fo=
nt-family:monospace;font-size:12px;font-weight:normal;text-decoration:none"=
><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-we=
ight:normal;text-decoration:none"><span class=3D"gmail-Apple-converted-spac=
e" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weig=
ht:normal;text-decoration:none">=C2=A0</span><span style=3D"color:rgb(0,0,0=
);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:n=
one;float:none;display:inline"><span class=3D"gmail-Apple-converted-space">=
=C2=A0</span>(add-to-list &#39;default-frame-alist &#39;(undecorated . t))<=
/span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fo=
nt-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-f=
amily:monospace;font-size:12px;font-weight:normal;text-decoration:none"><sp=
an style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weig=
ht:normal;text-decoration:none;float:none;display:inline">2. Start Emacs:</=
span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fon=
t-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-fa=
mily:monospace;font-size:12px;font-weight:normal;text-decoration:none"><spa=
n class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-fami=
ly:monospace;font-size:12px;font-weight:normal;text-decoration:none">=C2=A0=
=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;font-siz=
e:12px;font-weight:normal;text-decoration:none;float:none;display:inline"><=
span class=3D"gmail-Apple-converted-space">=C2=A0</span>$ emacs -Q --load ~=
/undecorated.el</span><br style=3D"color:rgb(0,0,0);font-family:monospace;f=
ont-size:12px;font-weight:normal;text-decoration:none"><br style=3D"color:r=
gb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-deco=
ration:none"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb=
(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decora=
tion:none">=C2=A0=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:m=
onospace;font-size:12px;font-weight:normal;text-decoration:none;float:none;=
display:inline"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>or=
 (if you don&#39;t want to create files)</span><br style=3D"color:rgb(0,0,0=
);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:n=
one"><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fon=
t-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-converted-=
space" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-=
weight:normal;text-decoration:none">=C2=A0=C2=A0</span><span style=3D"color=
:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-de=
coration:none;float:none;display:inline"><span class=3D"gmail-Apple-convert=
ed-space">=C2=A0</span>$ emacs -q --execute &quot;(add-to-list &#39;default=
-frame-alist &#39;(undecorated . t))&quot;</span><br style=3D"color:rgb(0,0=
,0);font-family:monospace;font-size:12px;font-weight:normal;text-decoration=
:none"><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;f=
ont-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);fon=
t-family:monospace;font-size:12px;font-weight:normal;text-decoration:none;f=
loat:none;display:inline">3. Try one of the following actions</span><br sty=
le=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:nor=
mal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-family:monospa=
ce;font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"c=
olor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;tex=
t-decoration:none;float:none;display:inline">3.1. M-x toggle-frame-fullsree=
n</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;=
font-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font=
-family:monospace;font-size:12px;font-weight:normal;text-decoration:none"><=
span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-f=
amily:monospace;font-size:12px;font-weight:normal;text-decoration:none">=C2=
=A0=C2=A0=C2=A0=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none;float:none;di=
splay:inline"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>Fram=
es&#39; window (in macOS sense) becomes fullscreen. But it doesn&#39;t</spa=
n><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-w=
eight:normal;text-decoration:none"><span class=3D"gmail-Apple-converted-spa=
ce" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-wei=
ght:normal;text-decoration:none">=C2=A0=C2=A0=C2=A0=C2=A0</span><span style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none;float:none;display:inline"><span class=3D"gmail-Appl=
e-converted-space">=C2=A0</span>cover all screen, instead it remains of the=
 same default size with</span><br style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none"><span class=
=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:mono=
space;font-size:12px;font-weight:normal;text-decoration:none">=C2=A0=C2=A0=
=C2=A0=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;fo=
nt-size:12px;font-weight:normal;text-decoration:none;float:none;display:inl=
ine"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>black area ar=
ound.</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:1=
2px;font-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);=
font-family:monospace;font-size:12px;font-weight:normal;text-decoration:non=
e"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fon=
t-weight:normal;text-decoration:none;float:none;display:inline">3.2. Use Sp=
ectacle.app (or similar application for resizing windows in</span><br style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none"><span class=3D"gmail-Apple-converted-space" style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none">=C2=A0=C2=A0=C2=A0=C2=A0</span><span style=3D"color=
:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-de=
coration:none;float:none;display:inline"><span class=3D"gmail-Apple-convert=
ed-space">=C2=A0</span>macOS)</span><br style=3D"color:rgb(0,0,0);font-fami=
ly:monospace;font-size:12px;font-weight:normal;text-decoration:none"><br st=
yle=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:no=
rmal;text-decoration:none"><span class=3D"gmail-Apple-converted-space" styl=
e=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norm=
al;text-decoration:none">=C2=A0=C2=A0=C2=A0=C2=A0</span><span style=3D"colo=
r:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-d=
ecoration:none;float:none;display:inline"><span class=3D"gmail-Apple-conver=
ted-space">=C2=A0</span>Frame is not resized.</span><br style=3D"color:rgb(=
0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decorat=
ion:none"><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12p=
x;font-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);=
font-family:monospace;font-size:12px;font-weight:normal;text-decoration:non=
e;float:none;display:inline">In both cases I expect frames to properly resi=
ze.</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12p=
x;font-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);fo=
nt-family:monospace;font-size:12px;font-weight:normal;text-decoration:none"=
><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-=
weight:normal;text-decoration:none;float:none;display:inline">Note that cal=
ling toggle-frame-maximized after the startup works like a</span><br style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospa=
ce;font-size:12px;font-weight:normal;text-decoration:none;float:none;displa=
y:inline">charm.</span><br style=3D"color:rgb(0,0,0);font-family:monospace;=
font-size:12px;font-weight:normal;text-decoration:none"><br style=3D"color:=
rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-dec=
oration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-si=
ze:12px;font-weight:normal;text-decoration:none;float:none;display:inline">=
I&#39;ve tried patching src/nsterm.m file by chaning definition of</span><b=
r style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weigh=
t:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:=
monospace;font-size:12px;font-weight:normal;text-decoration:none;float:none=
;display:inline">FRAME_DECORATED_FLAGS from</span><br style=3D"color:rgb(0,=
0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decoratio=
n:none"><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;=
font-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-convert=
ed-space" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fo=
nt-weight:normal;text-decoration:none">=C2=A0</span><span style=3D"color:rg=
b(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decor=
ation:none;float:none;display:inline"><span class=3D"gmail-Apple-converted-=
space">=C2=A0</span>#define FRAME_UNDECORATED_FLAGS NSWindowStyleMaskBorder=
less</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12=
px;font-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);f=
ont-family:monospace;font-size:12px;font-weight:normal;text-decoration:none=
"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font=
-weight:normal;text-decoration:none;float:none;display:inline">to</span><br=
 style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight=
:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none"><span class=
=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:mono=
space;font-size:12px;font-weight:normal;text-decoration:none">=C2=A0</span>=
<span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-w=
eight:normal;text-decoration:none;float:none;display:inline"><span class=3D=
"gmail-Apple-converted-space">=C2=A0</span>#define FRAME_UNDECORATED_FLAGS =
NSWindowStyleMaskBorderless |</span><br style=3D"color:rgb(0,0,0);font-fami=
ly:monospace;font-size:12px;font-weight:normal;text-decoration:none"><span =
class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family=
:monospace;font-size:12px;font-weight:normal;text-decoration:none">=C2=A0=
=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;font-siz=
e:12px;font-weight:normal;text-decoration:none;float:none;display:inline"><=
span class=3D"gmail-Apple-converted-space">=C2=A0</span>NSWindowStyleMaskRe=
sizable</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size=
:12px;font-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0=
);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:n=
one"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;f=
ont-weight:normal;text-decoration:none;float:none;display:inline">and creat=
ing EmacsFSWindow instead of EmacsWindow (so canBecomeKeyWindow</span><br s=
tyle=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:n=
ormal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none;float:none;di=
splay:inline">and canBecomeMainWindow both return YES).</span><br style=3D"=
color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;te=
xt-decoration:none"><br style=3D"color:rgb(0,0,0);font-family:monospace;fon=
t-size:12px;font-weight:normal;text-decoration:none"><span style=3D"color:r=
gb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-deco=
ration:none;float:none;display:inline">But it didn&#39;t make the trick.</s=
pan><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font=
-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-fam=
ily:monospace;font-size:12px;font-weight:normal;text-decoration:none"><span=
 style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight=
:normal;text-decoration:none;float:none;display:inline">Let me know if you =
need any additional information.</span><br style=3D"color:rgb(0,0,0);font-f=
amily:monospace;font-size:12px;font-weight:normal;text-decoration:none"><br=
 style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight=
:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:m=
onospace;font-size:12px;font-weight:normal;text-decoration:none;float:none;=
display:inline">In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS a=
ppkit-1348.17 Version 10.10.5 (Build 14F2511))</span><br style=3D"color:rgb=
(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decora=
tion:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:=
12px;font-weight:normal;text-decoration:none;float:none;display:inline">of =
2018-05-31 built on <a href=3D"http://builder10-10.porkrind.org">builder10-=
10.porkrind.org</a></span><br style=3D"color:rgb(0,0,0);font-family:monospa=
ce;font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"c=
olor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;tex=
t-decoration:none;float:none;display:inline">Windowing system distributor &=
#39;Apple&#39;, version 10.3.1561</span><br style=3D"color:rgb(0,0,0);font-=
family:monospace;font-size:12px;font-weight:normal;text-decoration:none"><s=
pan style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-wei=
ght:normal;text-decoration:none;float:none;display:inline">Recent messages:=
</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;f=
ont-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);fon=
t-family:monospace;font-size:12px;font-weight:normal;text-decoration:none;f=
loat:none;display:inline">For information about GNU Emacs and the GNU syste=
m, type C-h C-a.</span><br style=3D"color:rgb(0,0,0);font-family:monospace;=
font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"colo=
r:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-d=
ecoration:none;float:none;display:inline">user-error: Beginning of history;=
 no preceding item</span><br style=3D"color:rgb(0,0,0);font-family:monospac=
e;font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"co=
lor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text=
-decoration:none;float:none;display:inline">user-error: End of history; no =
default available</span><br style=3D"color:rgb(0,0,0);font-family:monospace=
;font-size:12px;font-weight:normal;text-decoration:none"><br style=3D"color=
:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-de=
coration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-s=
ize:12px;font-weight:normal;text-decoration:none;float:none;display:inline"=
>Configured using:</span><br style=3D"color:rgb(0,0,0);font-family:monospac=
e;font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"co=
lor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text=
-decoration:none;float:none;display:inline">&#39;configure --with-ns &#39;-=
-enable-locallisppath=3D/Library/Application</span><br style=3D"color:rgb(0=
,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decorati=
on:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12=
px;font-weight:normal;text-decoration:none;float:none;display:inline">Suppo=
rt/Emacs/${version}/site-lisp:/Library/Application</span><br style=3D"color=
:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-de=
coration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-s=
ize:12px;font-weight:normal;text-decoration:none;float:none;display:inline"=
>Support/Emacs/site-lisp&#39; --with-modules&#39;</span><br style=3D"color:=
rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-dec=
oration:none"><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size=
:12px;font-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0=
,0);font-family:monospace;font-size:12px;font-weight:normal;text-decoration=
:none;float:none;display:inline">Configured features:</span><br style=3D"co=
lor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text=
-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;fon=
t-size:12px;font-weight:normal;text-decoration:none;float:none;display:inli=
ne">NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS</=
span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fon=
t-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-fa=
mily:monospace;font-size:12px;font-weight:normal;text-decoration:none"><spa=
n style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weigh=
t:normal;text-decoration:none;float:none;display:inline">Important settings=
:</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;=
font-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-convert=
ed-space" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fo=
nt-weight:normal;text-decoration:none">=C2=A0</span><span style=3D"color:rg=
b(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decor=
ation:none;float:none;display:inline"><span class=3D"gmail-Apple-converted-=
space">=C2=A0</span>value of $LANG: en_GB.UTF-8</span><br style=3D"color:rg=
b(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decor=
ation:none"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(=
0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decorat=
ion:none">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospac=
e;font-size:12px;font-weight:normal;text-decoration:none;float:none;display=
:inline"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>locale-co=
ding-system: utf-8-unix</span><br style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none"><br style=3D=
"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;t=
ext-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;=
font-size:12px;font-weight:normal;text-decoration:none;float:none;display:i=
nline">Major mode: Lisp Interaction</span><br style=3D"color:rgb(0,0,0);fon=
t-family:monospace;font-size:12px;font-weight:normal;text-decoration:none">=
<br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-wei=
ght:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-famil=
y:monospace;font-size:12px;font-weight:normal;text-decoration:none;float:no=
ne;display:inline">Minor modes in effect:</span><br style=3D"color:rgb(0,0,=
0);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:=
none"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0)=
;font-family:monospace;font-size:12px;font-weight:normal;text-decoration:no=
ne">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;font=
-size:12px;font-weight:normal;text-decoration:none;float:none;display:inlin=
e"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>tooltip-mode: t=
</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;f=
ont-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-converte=
d-space" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fon=
t-weight:normal;text-decoration:none">=C2=A0</span><span style=3D"color:rgb=
(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decora=
tion:none;float:none;display:inline"><span class=3D"gmail-Apple-converted-s=
pace">=C2=A0</span>global-eldoc-mode: t</span><br style=3D"color:rgb(0,0,0)=
;font-family:monospace;font-size:12px;font-weight:normal;text-decoration:no=
ne"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);f=
ont-family:monospace;font-size:12px;font-weight:normal;text-decoration:none=
">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;font-s=
ize:12px;font-weight:normal;text-decoration:none;float:none;display:inline"=
><span class=3D"gmail-Apple-converted-space">=C2=A0</span>eldoc-mode: t</sp=
an><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-=
weight:normal;text-decoration:none"><span class=3D"gmail-Apple-converted-sp=
ace" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-we=
ight:normal;text-decoration:none">=C2=A0</span><span style=3D"color:rgb(0,0=
,0);font-family:monospace;font-size:12px;font-weight:normal;text-decoration=
:none;float:none;display:inline"><span class=3D"gmail-Apple-converted-space=
">=C2=A0</span>electric-indent-mode: t</span><br style=3D"color:rgb(0,0,0);=
font-family:monospace;font-size:12px;font-weight:normal;text-decoration:non=
e"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);fo=
nt-family:monospace;font-size:12px;font-weight:normal;text-decoration:none"=
>=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;font-si=
ze:12px;font-weight:normal;text-decoration:none;float:none;display:inline">=
<span class=3D"gmail-Apple-converted-space">=C2=A0</span>mouse-wheel-mode: =
t</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;=
font-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-convert=
ed-space" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fo=
nt-weight:normal;text-decoration:none">=C2=A0</span><span style=3D"color:rg=
b(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decor=
ation:none;float:none;display:inline"><span class=3D"gmail-Apple-converted-=
space">=C2=A0</span>tool-bar-mode: t</span><br style=3D"color:rgb(0,0,0);fo=
nt-family:monospace;font-size:12px;font-weight:normal;text-decoration:none"=
><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font=
-family:monospace;font-size:12px;font-weight:normal;text-decoration:none">=
=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;font-siz=
e:12px;font-weight:normal;text-decoration:none;float:none;display:inline"><=
span class=3D"gmail-Apple-converted-space">=C2=A0</span>menu-bar-mode: t</s=
pan><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font=
-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-converted-s=
pace" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-w=
eight:normal;text-decoration:none">=C2=A0</span><span style=3D"color:rgb(0,=
0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decoratio=
n:none;float:none;display:inline"><span class=3D"gmail-Apple-converted-spac=
e">=C2=A0</span>file-name-shadow-mode: t</span><br style=3D"color:rgb(0,0,0=
);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:n=
one"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);=
font-family:monospace;font-size:12px;font-weight:normal;text-decoration:non=
e">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;font-=
size:12px;font-weight:normal;text-decoration:none;float:none;display:inline=
"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>global-font-lock=
-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-siz=
e:12px;font-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-=
converted-space" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:=
12px;font-weight:normal;text-decoration:none">=C2=A0</span><span style=3D"c=
olor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;tex=
t-decoration:none;float:none;display:inline"><span class=3D"gmail-Apple-con=
verted-space">=C2=A0</span>font-lock-mode: t</span><br style=3D"color:rgb(0=
,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decorati=
on:none"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0=
,0);font-family:monospace;font-size:12px;font-weight:normal;text-decoration=
:none">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:monospace;f=
ont-size:12px;font-weight:normal;text-decoration:none;float:none;display:in=
line"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>blink-cursor=
-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-siz=
e:12px;font-weight:normal;text-decoration:none"><span class=3D"gmail-Apple-=
converted-space" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:=
12px;font-weight:normal;text-decoration:none">=C2=A0</span><span style=3D"c=
olor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;tex=
t-decoration:none;float:none;display:inline"><span class=3D"gmail-Apple-con=
verted-space">=C2=A0</span>auto-composition-mode: t</span><br style=3D"colo=
r:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-d=
ecoration:none"><span class=3D"gmail-Apple-converted-space" style=3D"color:=
rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-dec=
oration:none">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:mono=
space;font-size:12px;font-weight:normal;text-decoration:none;float:none;dis=
play:inline"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>auto-=
encryption-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:monospac=
e;font-size:12px;font-weight:normal;text-decoration:none"><span class=3D"gm=
ail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:monospace;=
font-size:12px;font-weight:normal;text-decoration:none">=C2=A0</span><span =
style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:=
normal;text-decoration:none;float:none;display:inline"><span class=3D"gmail=
-Apple-converted-space">=C2=A0</span>auto-compression-mode: t</span><br sty=
le=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:nor=
mal;text-decoration:none"><span class=3D"gmail-Apple-converted-space" style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-f=
amily:monospace;font-size:12px;font-weight:normal;text-decoration:none;floa=
t:none;display:inline"><span class=3D"gmail-Apple-converted-space">=C2=A0</=
span>line-number-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:mo=
nospace;font-size:12px;font-weight:normal;text-decoration:none"><span class=
=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:mono=
space;font-size:12px;font-weight:normal;text-decoration:none">=C2=A0</span>=
<span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-w=
eight:normal;text-decoration:none;float:none;display:inline"><span class=3D=
"gmail-Apple-converted-space">=C2=A0</span>transient-mark-mode: t</span><br=
 style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight=
:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none"><span style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none;float:none;display:inline">Load-path shadows:</span>=
<br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-wei=
ght:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-famil=
y:monospace;font-size:12px;font-weight:normal;text-decoration:none;float:no=
ne;display:inline">None found.</span><br style=3D"color:rgb(0,0,0);font-fam=
ily:monospace;font-size:12px;font-weight:normal;text-decoration:none"><br s=
tyle=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:n=
ormal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none;float:none;di=
splay:inline">Features:</span><br style=3D"color:rgb(0,0,0);font-family:mon=
ospace;font-size:12px;font-weight:normal;text-decoration:none"><span style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none;float:none;display:inline">(shadow sort mail-extr em=
acsbug message rmc puny seq byte-opt gv</span><br style=3D"color:rgb(0,0,0)=
;font-family:monospace;font-size:12px;font-weight:normal;text-decoration:no=
ne"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fo=
nt-weight:normal;text-decoration:none;float:none;display:inline">bytecomp b=
yte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs</span><br style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospa=
ce;font-size:12px;font-weight:normal;text-decoration:none;float:none;displa=
y:inline">format-spec rfc822 mml easymenu mml-sec password-cache epa derive=
d epg</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:1=
2px;font-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0=
);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:n=
one;float:none;display:inline">epg-config gnus-util rmail rmail-loaddefs mm=
-decode mm-bodies mm-encode</span><br style=3D"color:rgb(0,0,0);font-family=
:monospace;font-size:12px;font-weight:normal;text-decoration:none"><span st=
yle=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:no=
rmal;text-decoration:none;float:none;display:inline">mail-parse rfc2231 mai=
labbrev gmm-utils mailheader sendmail rfc2047</span><br style=3D"color:rgb(=
0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decorat=
ion:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:1=
2px;font-weight:normal;text-decoration:none;float:none;display:inline">rfc2=
045 ietf-drums mm-util mail-prsvr mail-utils thingatpt elec-pair</span><br =
style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:=
normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:mo=
nospace;font-size:12px;font-weight:normal;text-decoration:none;float:none;d=
isplay:inline">time-date tooltip eldoc electric uniquify ediff-hook vc-hook=
s</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;=
font-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);fo=
nt-family:monospace;font-size:12px;font-weight:normal;text-decoration:none;=
float:none;display:inline">lisp-float-type mwheel term/ns-win ns-win ucs-no=
rmalize mule-util</span><br style=3D"color:rgb(0,0,0);font-family:monospace=
;font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"col=
or:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-=
decoration:none;float:none;display:inline">term/common-win tool-bar dnd fon=
tset image regexp-opt fringe</span><br style=3D"color:rgb(0,0,0);font-famil=
y:monospace;font-size:12px;font-weight:normal;text-decoration:none"><span s=
tyle=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:n=
ormal;text-decoration:none;float:none;display:inline">tabulated-list replac=
e newcomment text-mode elisp-mode lisp-mode</span><br style=3D"color:rgb(0,=
0,0);font-family:monospace;font-size:12px;font-weight:normal;text-decoratio=
n:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12p=
x;font-weight:normal;text-decoration:none;float:none;display:inline">prog-m=
ode register page menu-bar rfn-eshadow isearch timer select</span><br style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospa=
ce;font-size:12px;font-weight:normal;text-decoration:none;float:none;displa=
y:inline">scroll-bar mouse jit-lock font-lock syntax facemenu font-core</sp=
an><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-=
weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-fa=
mily:monospace;font-size:12px;font-weight:normal;text-decoration:none;float=
:none;display:inline">term/tty-colors frame cl-generic cham georgian utf-8-=
lang misc-lang</span><br style=3D"color:rgb(0,0,0);font-family:monospace;fo=
nt-size:12px;font-weight:normal;text-decoration:none"><span style=3D"color:=
rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-dec=
oration:none;float:none;display:inline">vietnamese tibetan thai tai-viet la=
o korean japanese eucjp-ms cp51932</span><br style=3D"color:rgb(0,0,0);font=
-family:monospace;font-size:12px;font-weight:normal;text-decoration:none"><=
span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-we=
ight:normal;text-decoration:none;float:none;display:inline">hebrew greek ro=
manian slovak czech european ethiopic indian cyrillic</span><br style=3D"co=
lor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text=
-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;fon=
t-size:12px;font-weight:normal;text-decoration:none;float:none;display:inli=
ne">chinese composite charscript charprop case-table epa-hook jka-cmpr-hook=
</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;f=
ont-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);fon=
t-family:monospace;font-size:12px;font-weight:normal;text-decoration:none;f=
loat:none;display:inline">help simple abbrev obarray minibuffer cl-preloade=
d nadvice loaddefs</span><br style=3D"color:rgb(0,0,0);font-family:monospac=
e;font-size:12px;font-weight:normal;text-decoration:none"><span style=3D"co=
lor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text=
-decoration:none;float:none;display:inline">button faces cus-face macroexp =
files text-properties overlay sha1 md5</span><br style=3D"color:rgb(0,0,0);=
font-family:monospace;font-size:12px;font-weight:normal;text-decoration:non=
e"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fon=
t-weight:normal;text-decoration:none;float:none;display:inline">base64 form=
at env code-pages mule custom widget hashtable-print-readable</span><br sty=
le=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:nor=
mal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monos=
pace;font-size:12px;font-weight:normal;text-decoration:none;float:none;disp=
lay:inline">backquote kqueue cocoa ns multi-tty make-network-process emacs)=
</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;f=
ont-weight:normal;text-decoration:none"><br style=3D"color:rgb(0,0,0);font-=
family:monospace;font-size:12px;font-weight:normal;text-decoration:none"><s=
pan style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-wei=
ght:normal;text-decoration:none;float:none;display:inline">Memory informati=
on:</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12p=
x;font-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);=
font-family:monospace;font-size:12px;font-weight:normal;text-decoration:non=
e;float:none;display:inline">((conses 16 204085 7246)</span><br style=3D"co=
lor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text=
-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;fon=
t-size:12px;font-weight:normal;text-decoration:none;float:none;display:inli=
ne">(symbols 48 20096 1)</span><br style=3D"color:rgb(0,0,0);font-family:mo=
nospace;font-size:12px;font-weight:normal;text-decoration:none"><span style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none;float:none;display:inline">(miscs 40 44 157)</span><=
br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weig=
ht:normal;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family=
:monospace;font-size:12px;font-weight:normal;text-decoration:none;float:non=
e;display:inline">(strings 32 28985 1457)</span><br style=3D"color:rgb(0,0,=
0);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:=
none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;=
font-weight:normal;text-decoration:none;float:none;display:inline">(string-=
bytes 1 764133)</span><br style=3D"color:rgb(0,0,0);font-family:monospace;f=
ont-size:12px;font-weight:normal;text-decoration:none"><span style=3D"color=
:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-de=
coration:none;float:none;display:inline">(vectors 16 35057)</span><br style=
=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:norma=
l;text-decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospa=
ce;font-size:12px;font-weight:normal;text-decoration:none;float:none;displa=
y:inline">(vector-slots 8 713646 16946)</span><br style=3D"color:rgb(0,0,0)=
;font-family:monospace;font-size:12px;font-weight:normal;text-decoration:no=
ne"><span style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px;fo=
nt-weight:normal;text-decoration:none;float:none;display:inline">(floats 8 =
49 67)</span><br style=3D"color:rgb(0,0,0);font-family:monospace;font-size:=
12px;font-weight:normal;text-decoration:none"><span style=3D"color:rgb(0,0,=
0);font-family:monospace;font-size:12px;font-weight:normal;text-decoration:=
none;float:none;display:inline">(intervals 56 197 0)</span><br style=3D"col=
or:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text-=
decoration:none"><span style=3D"color:rgb(0,0,0);font-family:monospace;font=
-size:12px;font-weight:normal;text-decoration:none;float:none;display:inlin=
e">(buffers 992 11))</span><br style=3D"color:rgb(0,0,0);font-family:monosp=
ace;font-size:12px;font-weight:normal;text-decoration:none"><br style=3D"co=
lor:rgb(0,0,0);font-family:monospace;font-size:12px;font-weight:normal;text=
-decoration:none"><br style=3D"color:rgb(0,0,0);font-family:monospace;font-=
size:12px;font-weight:normal;text-decoration:none"><div id=3D"gmail-AppleMa=
ilSignature" style=3D"color:rgb(0,0,0);font-family:monospace;font-size:12px=
;font-weight:normal;text-decoration:none">Best regards,<br>Boris</div><br c=
lass=3D"gmail-Apple-interchange-newline"></div>

--000000000000a4c342056e6210e9--




Acknowledgement sent to Boris Buliga <boris@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31795; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 12 Jun 2018 20:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.